# Interface Matrix4x4FType

All Superinterfaces:
  `MatrixComputationalType, MatrixReadable4x4FType, MatrixReadableFType`

All Known Implementing Classes:
  `Matrix4x4F`

@Immutable public interface Matrix4x4FType extends MatrixReadable4x4FType, MatrixComputationalType
The type of 4x4 `float`-typed matrices.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `r0c0()`
  `float`
  `r0c1()`
  `float`
  `r0c2()`
  `float`
  `r0c3()`
  `float`
  `r1c0()`
  `float`
  `r1c1()`
  `float`
  `r1c2()`
  `float`
  `r1c3()`
  `float`
  `r2c0()`
  `float`
  `r2c1()`
  `float`
  `r2c2()`
  `float`
  `r2c3()`
  `float`
  `r3c0()`
  `float`
  `r3c1()`
  `float`
  `r3c2()`
  `float`
  `r3c3()`

  ### Methods inherited from interface MatrixReadable4x4FType

  `rowColumn`

- ## Method Details

  - ### r0c0

    @Parameter(order=0) float r0c0()
    Specified by:
      `r0c0` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 0 column 0

  - ### r0c1

    @Parameter(order=1) float r0c1()
    Specified by:
      `r0c1` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 0 column 1

  - ### r0c2

    @Parameter(order=2) float r0c2()
    Specified by:
      `r0c2` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 0 column 2

  - ### r0c3

    @Parameter(order=3) float r0c3()
    Specified by:
      `r0c3` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 0 column 3

  - ### r1c0

    @Parameter(order=4) float r1c0()
    Specified by:
      `r1c0` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 1 column 0

  - ### r1c1

    @Parameter(order=5) float r1c1()
    Specified by:
      `r1c1` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 1 column 1

  - ### r1c2

    @Parameter(order=6) float r1c2()
    Specified by:
      `r1c2` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 1 column 2

  - ### r1c3

    @Parameter(order=7) float r1c3()
    Specified by:
      `r1c3` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 1 column 3

  - ### r2c0

    @Parameter(order=8) float r2c0()
    Specified by:
      `r2c0` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 2 column 0

  - ### r2c1

    @Parameter(order=9) float r2c1()
    Specified by:
      `r2c1` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 2 column 1

  - ### r2c2

    @Parameter(order=10) float r2c2()
    Specified by:
      `r2c2` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 2 column 2

  - ### r2c3

    @Parameter(order=11) float r2c3()
    Specified by:
      `r2c3` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 2 column 3

  - ### r3c0

    @Parameter(order=12) float r3c0()
    Specified by:
      `r3c0` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 3 column 0

  - ### r3c1

    @Parameter(order=13) float r3c1()
    Specified by:
      `r3c1` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 3 column 1

  - ### r3c2

    @Parameter(order=14) float r3c2()
    Specified by:
      `r3c2` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 3 column 2

  - ### r3c3

    @Parameter(order=15) float r3c3()
    Specified by:
      `r3c3` in interface `MatrixReadable4x4FType`
    Returns:
      The value at row 3 column 3